Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 232855 - mgeops-psp ebuild
Summary: mgeops-psp ebuild
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: AMD64 Linux
: High enhancement (vote)
Assignee: Default Assignee for New Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 111346
  Show dependency tree
 
Reported: 2008-07-24 17:22 UTC by Jimmy.Jazz
Modified: 2010-06-05 13:12 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mgeops-psp ebuild (mgeops-psp-3.0.7.ebuild,1.95 KB, text/plain)
2008-07-24 17:24 UTC, Jimmy.Jazz
Details
EventWin.diff (EventWin.diff,1.76 KB, patch)
2008-07-24 17:25 UTC, Jimmy.Jazz
Details | Diff
mgeops-psp-3.0.7.patch (mgeops-psp-3.0.7.patch,10.97 KB, patch)
2008-07-24 17:25 UTC, Jimmy.Jazz
Details | Diff
NutConfig.diff (NutConfig.diff,841 bytes, patch)
2008-07-24 17:25 UTC, Jimmy.Jazz
Details | Diff
SystemService.diff (SystemService.diff,809 bytes, patch)
2008-07-24 17:26 UTC, Jimmy.Jazz
Details | Diff
mgeops-psp-3.0.8 ebuild (mgeops-psp-3.0.8.ebuild,1.82 KB, text/plain)
2010-06-05 13:07 UTC, pvk
Details
mgeops-psp-3.0.8 patch (mgeops-psp-3.0.8.patch,14.22 KB, patch)
2010-06-05 13:10 UTC, pvk
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy.Jazz 2008-07-24 17:22:43 UTC
Hello,

ups owners will probably be interested by the lastest Personal Solution-Pac 3.0.

It will replace the older mgeups psp. It is why I have prefered to write a new bug report for it.

Caution: If you need the ssl use flag for nut, please modified the nut ebuild like this,

--- /private/.snapshot/localhost/vg-portage/2008-07-24/tree/local/overlay/sys-power/nut/nut-2.2.2.ebuild	2008-07-22 20:14:13.000000000 +0200
+++ nut-2.2.2.ebuild	2008-07-24 18:26:02.000000000 +0200
@@ -105,7 +105,7 @@
 	sed -i "s/-Wl,--as-needed//" ${S}/clients/Makefile
 	sed -i "s/-Wl,--as-needed//" ${S}/Makefile
 
-	emake || die "compile problem"
+	emake LIBS="-lssl" || die "compile problem"
 
 }

otherwise the mgeops-psp.ebuild will complain about missing "SSL_CTX_xxx" functions.

Be careful, mgeops-psp is looking for a wizard.conf file in /etc/nut. If it is missing it will modify all the conf files in that directory to fit its needs. If I remember well, the original files will all be renamed with a .orig extension. Also, it is preferable to save the /etc/nut/*.conf files elsewhere before proceeding.

Since I'm using mgeops conf files I don't have stale usb hid ups device anymore.
So I concluded, the conf files are better configured as my own ones :).

If you don't want mgeops to modify them, add in /etc/nut/wizard.conf the following lines,

# Generated by MGE Office Protection Systems - Personal Solution Pac (mgeops-psp, version 3.0.7)

bIsNutConfigured=true
shutdownBatteryLevel=20
shutdownBatteryRuntime=-1
displaySystray=true


Jj

Reproducible: Always
Comment 1 Jimmy.Jazz 2008-07-24 17:24:14 UTC
Created attachment 161281 [details]
mgeops-psp ebuild
Comment 2 Jimmy.Jazz 2008-07-24 17:25:07 UTC
Created attachment 161283 [details, diff]
EventWin.diff
Comment 3 Jimmy.Jazz 2008-07-24 17:25:25 UTC
Created attachment 161284 [details, diff]
mgeops-psp-3.0.7.patch
Comment 4 Jimmy.Jazz 2008-07-24 17:25:41 UTC
Created attachment 161285 [details, diff]
NutConfig.diff
Comment 5 Jimmy.Jazz 2008-07-24 17:26:00 UTC
Created attachment 161286 [details, diff]
SystemService.diff
Comment 6 Jeremy Olexa (darkside) (RETIRED) archtester gentoo-dev Security 2008-07-24 18:12:13 UTC
Blocks older bug because of:

(In reply to comment #0)

> It will replace the older mgeups psp. It is why I have prefered to write a new
> bug report for it.
Comment 7 Jimmy.Jazz 2008-07-25 13:20:15 UTC
Hello,

in case mgeops ebuild complains about a missing libupsclient 2.x, you have to apply the following patch to nut-2.2.2.ebuild. In one word, libtoolize the package. After that, everything should be okay.

--- /usr/portage/sys-power/nut/nut-2.2.2.ebuild	2008-07-05 18:08:35.000000000 +0200
+++ nut-2.2.2.ebuild	2008-07-24 18:26:02.000000000 +0200
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/sys-power/nut/nut-2.2.2.ebuild,v 1.5 2008/07/05 15:39:35 mr_bones_ Exp $
 
-inherit eutils fixheadtails autotools
+inherit eutils fixheadtails autotools flag-o-matic libtool
 
 MY_P="${P/_/-}"
 
@@ -69,11 +69,15 @@
 		-i scripts/udev/Makefile.am || die "sed failed"
 
 	WANT_AUTOCONF=2.5 eautoreconf || die "autoconf failed"
+	
+	elibtoolize --portage --shallow --no-uclibc
 }
 
 src_compile() {
 	local myconf
 
+	filter-ldflags -Wl,--no-as-needed
+
 	if [ -n "${NUT_DRIVERS}" ]; then
 		myconf="${myconf} --with-drivers=${NUT_DRIVERS// /,}"
 	fi
@@ -98,7 +102,10 @@
 		$(use_with cgi cgipath /usr/share/nut/cgi) \
 		${myconf} || die "econf failed"
 
-	emake || die "compile problem"
+	sed -i "s/-Wl,--as-needed//" ${S}/clients/Makefile
+	sed -i "s/-Wl,--as-needed//" ${S}/Makefile
+
+	emake LIBS="-lssl" || die "compile problem"
 
 }
Comment 8 pvk 2010-06-05 13:07:55 UTC
Created attachment 234189 [details]
mgeops-psp-3.0.8 ebuild
Comment 9 pvk 2010-06-05 13:10:28 UTC
Created attachment 234191 [details, diff]
mgeops-psp-3.0.8 patch

Builded from mgeops-psp-3.0.7.patch, EventWin.diff, NutConfig.diff, SystemService.diff
Comment 10 pvk 2010-06-05 13:12:20 UTC
As has already released a new package version - 3.0.8 I tried to do ebuild and patch files for the new version, using these to version 3.0.7. I do not have much experience in this, but since I have not tried to make changes, these files work for me, so I decided to share them here.

http://bugs.gentoo.org/attachment.cgi?id=234189
http://bugs.gentoo.org/attachment.cgi?id=234191